<?php
/**
 * @package    FFGate
 * @author     Yves Hoppe <yves@compojoom.com>
 * @date       26.11.13
 *
 * @copyright  Copyright (C) 2008 - 2013 compojoom.com - Yves Hoppe. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 * @since      1.0.0
 */
defined('_JEXEC') or die('Restricted access');

if (JVERSION > 3)
{
	JHTML::_('bootstrap.tooltip');
	JHtml::_('formbehavior.chosen', 'select');
}
else
{
	JHTML::_('behavior.tooltip');
}

// Load formvalidator!
JHtml::_('behavior.formvalidation');

FFGateHelperBasic::bootstrap();

// Small css fixes
JFactory::getDocument()->addStyleDeclaration('
		.form-horizontal .control-label {padding-top: 7px;}
		.table td {vertical-align: middle;}
		label {display: inline;}
');

JHtml::_('stylesheet', 'media/com_ffgate/backend/css/ffgate.css');
?>
<div class="compojoom-bootstrap">
	<form name="adminForm" id="adminForm" action="<?php JRoute::_('index.php?option=com_ffgate&view=site'); ?>"
	      method="post" enctype="multipart/form-data">
		<div class="ffgate">
			<fieldset class="adminform">
				<ul class="adminformlist control-group">
					<li>
						<?php echo $this->form->getLabel('id'); ?>
						<?php echo $this->form->getInput('id'); ?>
					</li>
					<li>
						<?php echo $this->form->getLabel('sitename'); ?>
						<?php echo $this->form->getInput('sitename'); ?>
					</li>
					<li>
						<?php echo $this->form->getLabel('fbuser'); ?>
						<?php echo $this->form->getInput('fbuser'); ?>
					</li>
					<li>
						<?php echo $this->form->getLabel('title'); ?>
						<?php echo $this->form->getInput('title'); ?>
					</li>
					<li>
						<?php echo $this->form->getLabel('caption'); ?>
						<?php echo $this->form->getInput('caption'); ?>
					</li>
					<li>
						<?php echo $this->form->getLabel('description'); ?>
						<?php echo $this->form->getInput('description'); ?>
					</li>
					<li>
						<?php echo $this->form->getLabel('app_id'); ?>
						<?php echo $this->form->getInput('app_id'); ?>
					</li>
					<li>
						<?php echo $this->form->getLabel('app_secret'); ?>
						<?php echo $this->form->getInput('app_secret'); ?>
					</li>
					<li>
						<?php echo $this->form->getLabel('template'); ?>
						<?php echo $this->form->getInput('template'); ?>
					</li>
					<li>
						<?php echo $this->form->getLabel('thumbnail'); ?>
						<?php echo $this->form->getInput('thumbnail'); ?>
					</li>
					<li>
						<?php echo $this->form->getLabel('modified_by'); ?>
						<?php echo $this->form->getInput('modified_by'); ?>
					</li>
					<li>
						<?php echo $this->form->getLabel('published_up'); ?>
						<?php echo $this->form->getInput('published_up'); ?>
					</li>
					<li>
						<?php echo $this->form->getLabel('published_down'); ?>
						<?php echo $this->form->getInput('published_down'); ?>
					</li>
					<li>
						<?php echo $this->form->getLabel('published'); ?>
						<?php echo $this->form->getInput('published'); ?>
					</li>
				</ul>

				<div>
					<?php echo $this->form->getLabel('html_text'); ?>
					<div class="clr"></div>
					<?php echo $this->form->getInput('html_text'); ?>
					<div class="clr"></div>
				</div>

				<div>
					<?php echo $this->form->getLabel('html_text_no_fan'); ?>
					<div class="clr"></div>
					<?php echo $this->form->getInput('html_text_no_fan'); ?>
					<div class="clr"></div>
				</div>

			</fieldset>
		</div>

		<input name="task" value="" type="hidden"/>
		<?php echo JHtml::_('form.token'); ?>
	</form>
</div>
	<div class="clear"></div>

<?php
echo FFGateHelperBasic::footer();
