<?php
/**
 * @package    FFGate
 * @author     Yves Hoppe <yves@compojoom.com>
 * @date       26.11.13
 *
 * @copyright  Copyright (C) 2008 - 2013 compojoom.com - Yves Hoppe. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

/**
 * Class FFGateViewSite
 *
 * @since  1.0.0
 */
class FFGateViewSite extends JViewLegacy
{
	/**
	 * Displays the s overview list
	 *
	 * @param   string  $tpl  - The template
	 *
	 * @return  mixed|void
	 */
	public function display($tpl = null)
	{
		$this->form = $this->get('form');

		$this->addToolbar();
		parent::display();
	}

	/**
	 * Ads the toolbar buttons
	 *
	 * @return void
	 */
	public function addToolbar()
	{
		JToolBarHelper::title(JText::_('COM_FFGATE_EDIT_SITE'), 'edit');
		JToolBarHelper::apply('site.apply');
		JToolBarHelper::save('site.save');
		JToolBarHelper::cancel('site.cancel');
	}
}
